package com.mirs.biz.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.mirs.common.annotation.Excel;
import com.mirs.common.core.domain.BaseEntity;

/**
 * 积分数据对象 biz_integrated_data_t
 * 
 * @author kk
 * @date 2025-04-24
 */
public class IntegratedData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 样片型号 */
    @Excel(name = "样片型号")
    private String sampleModel;

    /** 温度(K) */
    @Excel(name = "温度(K)")
    private Long temperatureK;

    /** 波段(μm) */
    @Excel(name = "波段(μm)")
    private String wavelengthUm;

    /** 积分值1 */
    @Excel(name = "积分值1")
    private BigDecimal integralValue1;

    /** 积分值2 */
    @Excel(name = "积分值2")
    private BigDecimal integralValue2;

    /** 积分值3 */
    @Excel(name = "积分值3")
    private BigDecimal integralValue3;

    /** 积分值4 */
    @Excel(name = "积分值4")
    private BigDecimal integralValue4;

    /** 积分值5 */
    @Excel(name = "积分值5")
    private BigDecimal integralValue5;

    /** STDEV */
    @Excel(name = "STDEV")
    private BigDecimal standardDev;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSampleModel(String sampleModel) 
    {
        this.sampleModel = sampleModel;
    }

    public String getSampleModel() 
    {
        return sampleModel;
    }
    public void setTemperatureK(Long temperatureK) 
    {
        this.temperatureK = temperatureK;
    }

    public Long getTemperatureK() 
    {
        return temperatureK;
    }
    public void setWavelengthUm(String wavelengthUm) 
    {
        this.wavelengthUm = wavelengthUm;
    }

    public String getWavelengthUm() 
    {
        return wavelengthUm;
    }
    public void setIntegralValue1(BigDecimal integralValue1) 
    {
        this.integralValue1 = integralValue1;
    }

    public BigDecimal getIntegralValue1() 
    {
        return integralValue1;
    }
    public void setIntegralValue2(BigDecimal integralValue2) 
    {
        this.integralValue2 = integralValue2;
    }

    public BigDecimal getIntegralValue2() 
    {
        return integralValue2;
    }
    public void setIntegralValue3(BigDecimal integralValue3) 
    {
        this.integralValue3 = integralValue3;
    }

    public BigDecimal getIntegralValue3() 
    {
        return integralValue3;
    }
    public void setIntegralValue4(BigDecimal integralValue4) 
    {
        this.integralValue4 = integralValue4;
    }

    public BigDecimal getIntegralValue4() 
    {
        return integralValue4;
    }
    public void setIntegralValue5(BigDecimal integralValue5) 
    {
        this.integralValue5 = integralValue5;
    }

    public BigDecimal getIntegralValue5() 
    {
        return integralValue5;
    }
    public void setStandardDev(BigDecimal standardDev) 
    {
        this.standardDev = standardDev;
    }

    public BigDecimal getStandardDev() 
    {
        return standardDev;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sampleModel", getSampleModel())
            .append("temperatureK", getTemperatureK())
            .append("wavelengthUm", getWavelengthUm())
            .append("integralValue1", getIntegralValue1())
            .append("integralValue2", getIntegralValue2())
            .append("integralValue3", getIntegralValue3())
            .append("integralValue4", getIntegralValue4())
            .append("integralValue5", getIntegralValue5())
            .append("standardDev", getStandardDev())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
